# Method: customers.get

Retrieves a customer.

### HTTP request

`GET https://admin.googleapis.com/admin/directory/v1/customers/{customerKey}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customerKey` | `string` Id of the customer to be retrieved |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/admin/directory/reference/rest/v1/customers#Customer`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/admin.directory.customer`
- `
  https://www.googleapis.com/auth/admin.directory.customer.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).